return {
  discoveryVersion = "v1",
  items = {
    {
      description = "Views Abusive Experience Report data, and gets a list of sites that have a significant number of abusive experiences.",
      discoveryRestUrl = "https://abusiveexperiencereport.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/abusive-experience-report/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "abusiveexperiencereport:v1",
      kind = "discovery#directoryItem",
      name = "abusiveexperiencereport",
      preferred = true,
      title = "Abusive Experience Report API",
      version = "v1",
    },
    {
      description = "Retrieves the list of AMP URLs (and equivalent AMP Cache URLs) for a given list of public URL(s).",
      discoveryRestUrl = "https://acceleratedmobilepageurl.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/amp/cache/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "acceleratedmobilepageurl:v1",
      kind = "discovery#directoryItem",
      name = "acceleratedmobilepageurl",
      preferred = true,
      title = "Accelerated Mobile Pages (AMP) URL API",
      version = "v1",
    },
    {
      description = "An API for controlling access to data by Google personnel.",
      discoveryRestUrl = "https://accessapproval.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/cloud-provider-access-management/access-approval/docs",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "accessapproval:v1",
      kind = "discovery#directoryItem",
      name = "accessapproval",
      preferred = true,
      title = "Access Approval API",
      version = "v1",
    },
    {
      description = "An API for setting attribute based access control to requests to GCP services.",
      discoveryRestUrl = "https://accesscontextmanager.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/access-context-manager/docs/reference/rest/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "accesscontextmanager:v1",
      kind = "discovery#directoryItem",
      name = "accesscontextmanager",
      preferred = true,
      title = "Access Context Manager API",
      version = "v1",
    },
    {
      description = "Views Ad Experience Report data, and gets a list of sites that have a significant number of annoying ads.",
      discoveryRestUrl = "https://adexperiencereport.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/ad-experience-report/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "adexperiencereport:v1",
      kind = "discovery#directoryItem",
      name = "adexperiencereport",
      preferred = true,
      title = "Ad Experience Report API",
      version = "v1",
    },
    {
      description = "Admin SDK lets administrators of enterprise domains to view and manage resources like user, groups etc. It also provides audit and usage reports of domain.",
      discoveryRestUrl = "https://admin.googleapis.com/$discovery/rest?version=datatransfer_v1",
      documentationLink = "https://developers.google.com/admin-sdk/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "admin:datatransfer_v1",
      kind = "discovery#directoryItem",
      name = "admin",
      preferred = false,
      title = "Admin SDK API",
      version = "datatransfer_v1",
    },
    {
      description = "Admin SDK lets administrators of enterprise domains to view and manage resources like user, groups etc. It also provides audit and usage reports of domain.",
      discoveryRestUrl = "https://admin.googleapis.com/$discovery/rest?version=directory_v1",
      documentationLink = "https://developers.google.com/admin-sdk/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "admin:directory_v1",
      kind = "discovery#directoryItem",
      name = "admin",
      preferred = false,
      title = "Admin SDK API",
      version = "directory_v1",
    },
    {
      description = "Admin SDK lets administrators of enterprise domains to view and manage resources like user, groups etc. It also provides audit and usage reports of domain.",
      discoveryRestUrl = "https://admin.googleapis.com/$discovery/rest?version=reports_v1",
      documentationLink = "https://developers.google.com/admin-sdk/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "admin:reports_v1",
      kind = "discovery#directoryItem",
      name = "admin",
      preferred = true,
      title = "Admin SDK API",
      version = "reports_v1",
    },
    {
      description = "The AdMob API allows publishers to programmatically get information about their AdMob account.",
      discoveryRestUrl = "https://admob.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/admob/api/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "admob:v1",
      kind = "discovery#directoryItem",
      name = "admob",
      preferred = true,
      title = "AdMob API",
      version = "v1",
    },
    {
      description = "The AdSense Management API allows publishers to access their inventory and run earnings and performance reports.",
      discoveryRestUrl = "https://adsense.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://developers.google.com/adsense/management/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "adsense:v2",
      kind = "discovery#directoryItem",
      name = "adsense",
      preferred = true,
      title = "AdSense Management API",
      version = "v2",
    },
    {
      description = "The AdSense Host API gives AdSense Hosts access to report generation, ad code generation, and publisher management capabilities.",
      discoveryRestUrl = "https://adsensehost.googleapis.com/$discovery/rest?version=v4.1",
      documentationLink = "https://developers.google.com/adsense/host/index",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "adsensehost:v4.1",
      kind = "discovery#directoryItem",
      name = "adsensehost",
      preferred = true,
      title = "AdSense Host API",
      version = "v4.1",
    },
    {
      description = "The Analytics API provides access to Analytics configuration and report data.",
      discoveryRestUrl = "https://analytics.googleapis.com/$discovery/rest?version=v3",
      documentationLink = "http://code.google.com/apis/analytics/docs/mgmt/home.html",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "analytics:v3",
      kind = "discovery#directoryItem",
      name = "analytics",
      preferred = true,
      title = "Google Analytics API",
      version = "v3",
    },
    {
      description = "Exchange data and analytics assets securely and efficiently.",
      discoveryRestUrl = "https://analyticshub.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/bigquery/docs/analytics-hub-introduction",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "analyticshub:v1",
      kind = "discovery#directoryItem",
      name = "analyticshub",
      preferred = true,
      title = "Analytics Hub API",
      version = "v1",
    },
    {
      description = "Accesses Analytics report data.",
      discoveryRestUrl = "https://analyticsreporting.googleapis.com/$discovery/rest?version=v4",
      documentationLink = "https://developers.google.com/analytics/devguides/reporting/core/v4/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "analyticsreporting:v4",
      kind = "discovery#directoryItem",
      name = "analyticsreporting",
      preferred = true,
      title = "Analytics Reporting API",
      version = "v4",
    },
    {
      description = "Automates Android zero-touch enrollment for device resellers, customers, and EMMs.",
      discoveryRestUrl = "https://androiddeviceprovisioning.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/zero-touch/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "androiddeviceprovisioning:v1",
      kind = "discovery#directoryItem",
      name = "androiddeviceprovisioning",
      preferred = true,
      title = "Android Device Provisioning Partner API",
      version = "v1",
    },
    {
      description = "Manages the deployment of apps to Android Enterprise devices.",
      discoveryRestUrl = "https://androidenterprise.googleapis.com/$discovery/rest?version=v1",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "androidenterprise:v1",
      kind = "discovery#directoryItem",
      name = "androidenterprise",
      preferred = true,
      title = "Google Play EMM API",
      version = "v1",
    },
    {
      description = "The Android Management API provides remote enterprise management of Android devices and apps.",
      discoveryRestUrl = "https://androidmanagement.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/android/management",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "androidmanagement:v1",
      kind = "discovery#directoryItem",
      name = "androidmanagement",
      preferred = true,
      title = "Android Management API",
      version = "v1",
    },
    {
      description = "Lets Android application developers access their Google Play accounts. At a high level, the expected workflow is to \"insert\" an Edit, make changes as necessary, and then \"commit\" it.",
      discoveryRestUrl = "https://androidpublisher.googleapis.com/$discovery/rest?version=v3",
      documentationLink = "https://developers.google.com/android-publisher",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "androidpublisher:v3",
      kind = "discovery#directoryItem",
      name = "androidpublisher",
      preferred = true,
      title = "Google Play Android Developer API",
      version = "v3",
    },
    {
      description = "",
      discoveryRestUrl = "https://apigateway.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/api-gateway/docs",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "apigateway:v1",
      kind = "discovery#directoryItem",
      name = "apigateway",
      preferred = true,
      title = "API Gateway API",
      version = "v1",
    },
    {
      description = "Use the Apigee API to programmatically develop and manage APIs with a set of RESTful operations. Develop and secure API proxies, deploy and undeploy API proxy revisions, monitor APIs, configure environments, manage users, and more. Note: This product is available as a free trial for a time period of 60 days.",
      discoveryRestUrl = "https://apigee.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/apigee-api-management/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "apigee:v1",
      kind = "discovery#directoryItem",
      name = "apigee",
      preferred = true,
      title = "Apigee API",
      version = "v1",
    },
    {
      description = "",
      discoveryRestUrl = "https://apigeeregistry.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/apigee/docs/api-hub/what-is-api-hub",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "apigeeregistry:v1",
      kind = "discovery#directoryItem",
      name = "apigeeregistry",
      preferred = true,
      title = "Apigee Registry API",
      version = "v1",
    },
    {
      description = "Manages the API keys associated with developer projects.",
      discoveryRestUrl = "https://apikeys.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/api-keys/docs",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "apikeys:v2",
      kind = "discovery#directoryItem",
      name = "apikeys",
      preferred = true,
      title = "API Keys API",
      version = "v2",
    },
    {
      description = "Provisions and manages developers' App Engine applications.",
      discoveryRestUrl = "https://appengine.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/appengine/docs/admin-api/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "appengine:v1",
      kind = "discovery#directoryItem",
      name = "appengine",
      preferred = true,
      title = "App Engine Admin API",
      version = "v1",
    },
    {
      description = "Store and manage build artifacts in a scalable and integrated service built on Google infrastructure.",
      discoveryRestUrl = "https://artifactregistry.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/artifacts/docs/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "artifactregistry:v1",
      kind = "discovery#directoryItem",
      name = "artifactregistry",
      preferred = true,
      title = "Artifact Registry API",
      version = "v1",
    },
    {
      description = "",
      discoveryRestUrl = "https://assuredworkloads.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/learnmoreurl",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "assuredworkloads:v1",
      kind = "discovery#directoryItem",
      name = "assuredworkloads",
      preferred = true,
      title = "Assured Workloads API",
      version = "v1",
    },
    {
      description = "The Authorized Buyers Marketplace API lets buyers programmatically discover inventory; propose, retrieve and negotiate deals with publishers.",
      discoveryRestUrl = "https://authorizedbuyersmarketplace.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "authorizedbuyersmarketplace:v1",
      kind = "discovery#directoryItem",
      name = "authorizedbuyersmarketplace",
      preferred = true,
      title = "Authorized Buyers Marketplace API",
      version = "v1",
    },
    {
      description = "Provides ways to manage Bare Metal Solution hardware installed in a regional extension located near a Google Cloud data center.",
      discoveryRestUrl = "https://baremetalsolution.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/bare-metal",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "baremetalsolution:v2",
      kind = "discovery#directoryItem",
      name = "baremetalsolution",
      preferred = true,
      title = "Bare Metal Solution API",
      version = "v2",
    },
    {
      description = "An API to manage the running of batch jobs on Google Cloud Platform.",
      discoveryRestUrl = "https://batch.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/batch/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "batch:v1",
      kind = "discovery#directoryItem",
      name = "batch",
      preferred = true,
      title = "Batch API",
      version = "v1",
    },
    {
      description = "Beyondcorp Enterprise provides identity and context aware access controls for enterprise resources and enables zero-trust access. Using the Beyondcorp Enterprise APIs, enterprises can set up multi-cloud and on-prem connectivity solutions.",
      discoveryRestUrl = "https://beyondcorp.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "beyondcorp:v1",
      kind = "discovery#directoryItem",
      name = "beyondcorp",
      preferred = true,
      title = "BeyondCorp API",
      version = "v1",
    },
    {
      description = "A data platform for customers to create, manage, share and query data.",
      discoveryRestUrl = "https://bigquery.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/bigquery/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "bigquery:v2",
      kind = "discovery#directoryItem",
      name = "bigquery",
      preferred = true,
      title = "BigQuery API",
      version = "v2",
    },
    {
      description = "Schedule queries or transfer external data from SaaS applications to Google BigQuery on a regular basis.",
      discoveryRestUrl = "https://bigquerydatatransfer.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/bigquery-transfer/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "bigquerydatatransfer:v1",
      kind = "discovery#directoryItem",
      name = "bigquerydatatransfer",
      preferred = true,
      title = "BigQuery Data Transfer API",
      version = "v1",
    },
    {
      description = "A service to modify your BigQuery flat-rate reservations.",
      discoveryRestUrl = "https://bigqueryreservation.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/bigquery/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "bigqueryreservation:v1",
      kind = "discovery#directoryItem",
      name = "bigqueryreservation",
      preferred = true,
      title = "BigQuery Reservation API",
      version = "v1",
    },
    {
      description = "Administer your Cloud Bigtable tables and instances.",
      discoveryRestUrl = "https://bigtableadmin.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/bigtable/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "bigtableadmin:v2",
      kind = "discovery#directoryItem",
      name = "bigtableadmin",
      preferred = true,
      title = "Cloud Bigtable Admin API",
      version = "v2",
    },
    {
      description = "The Cloud Billing Budget API stores Cloud Billing budgets, which define a budget plan and the rules to execute as spend is tracked against that plan.",
      discoveryRestUrl = "https://billingbudgets.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/billing/docs/how-to/budget-api-overview",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "billingbudgets:v1",
      kind = "discovery#directoryItem",
      name = "billingbudgets",
      preferred = true,
      title = "Cloud Billing Budget API",
      version = "v1",
    },
    {
      description = "The management interface for Binary Authorization, a service that provides policy-based deployment validation and control for images deployed to Google Kubernetes Engine (GKE), Anthos Service Mesh, Anthos Clusters, and Cloud Run.",
      discoveryRestUrl = "https://binaryauthorization.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/binary-authorization/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "binaryauthorization:v1",
      kind = "discovery#directoryItem",
      name = "binaryauthorization",
      preferred = true,
      title = "Binary Authorization API",
      version = "v1",
    },
    {
      description = "The Blogger API provides access to posts, comments and pages of a Blogger blog.",
      discoveryRestUrl = "https://blogger.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://developers.google.com/blogger/docs/3.0/getting_started",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "blogger:v2",
      kind = "discovery#directoryItem",
      name = "blogger",
      preferred = false,
      title = "Blogger API",
      version = "v2",
    },
    {
      description = "The Blogger API provides access to posts, comments and pages of a Blogger blog.",
      discoveryRestUrl = "https://blogger.googleapis.com/$discovery/rest?version=v3",
      documentationLink = "https://developers.google.com/blogger/docs/3.0/getting_started",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "blogger:v3",
      kind = "discovery#directoryItem",
      name = "blogger",
      preferred = true,
      title = "Blogger API",
      version = "v3",
    },
    {
      description = "The Google Books API allows clients to access the Google Books repository.",
      discoveryRestUrl = "https://books.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://code.google.com/apis/books/docs/v1/getting_started.html",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "books:v1",
      kind = "discovery#directoryItem",
      name = "books",
      preferred = true,
      title = "Books API",
      version = "v1",
    },
    {
      description = "The Business Profile Performance API allows merchants to fetch performance reports about their business profile on Google. Note - If you have a quota of 0 after enabling the API, please request <https://developers.google.com/my-business/content/prereqs#request-access> for GBP API access.",
      discoveryRestUrl = "https://businessprofileperformance.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/my-business/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "businessprofileperformance:v1",
      kind = "discovery#directoryItem",
      name = "businessprofileperformance",
      preferred = true,
      title = "Business Profile Performance API",
      version = "v1",
    },
    {
      description = "The Google Calendar API lets you manage your calendars and events.",
      discoveryRestUrl = "https://calendar-json.googleapis.com/$discovery/rest?version=v3",
      documentationLink = "http://code.google.com/apis/calendar/v3/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "calendar:v3",
      kind = "discovery#directoryItem",
      name = "calendar",
      preferred = true,
      title = "Google Calendar API",
      version = "v3",
    },
    {
      description = "",
      discoveryRestUrl = "https://certificatemanager.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/certificate-manager",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "certificatemanager:v1",
      kind = "discovery#directoryItem",
      name = "certificatemanager",
      preferred = true,
      title = "Certificate Manager API",
      version = "v1",
    },
    {
      description = "Enables apps to fetch information and perform actions in Google Chat. Authentication is a prerequisite for using the Google Chat REST API.",
      discoveryRestUrl = "https://chat.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/hangouts/chat",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "chat:v1",
      kind = "discovery#directoryItem",
      name = "chat",
      preferred = true,
      title = "Google Chat API",
      version = "v1",
    },
    {
      description = "The Chrome Management API is a suite of services that allows Chrome administrators to view, manage and gain insights on their Chrome OS and Chrome Browser devices.",
      discoveryRestUrl = "https://chromemanagement.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "http://developers.google.com/chrome/management/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "chromemanagement:v1",
      kind = "discovery#directoryItem",
      name = "chromemanagement",
      preferred = true,
      title = "Chrome Management API",
      version = "v1",
    },
    {
      description = "The Chrome Policy API is a suite of services that allows Chrome administrators to control the policies applied to their managed Chrome OS devices and Chrome browsers.",
      discoveryRestUrl = "https://chromepolicy.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "http://developers.google.com/chrome/policy",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "chromepolicy:v1",
      kind = "discovery#directoryItem",
      name = "chromepolicy",
      preferred = true,
      title = "Chrome Policy API",
      version = "v1",
    },
    {
      description = "The Chrome UX Report API lets you view real user experience data for millions of websites.",
      discoveryRestUrl = "https://chromeuxreport.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/web/tools/chrome-user-experience-report/api/reference",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "chromeuxreport:v1",
      kind = "discovery#directoryItem",
      name = "chromeuxreport",
      preferred = true,
      title = "Chrome UX Report API",
      version = "v1",
    },
    {
      description = "Provides polling places, early vote locations, contest data, election officials, and government representatives for U.S. residential addresses.",
      discoveryRestUrl = "https://civicinfo.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://developers.google.com/civic-information/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "civicinfo:v2",
      kind = "discovery#directoryItem",
      name = "civicinfo",
      preferred = true,
      title = "Google Civic Information API",
      version = "v2",
    },
    {
      description = "Manages classes, rosters, and invitations in Google Classroom.",
      discoveryRestUrl = "https://classroom.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/classroom",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "classroom:v1",
      kind = "discovery#directoryItem",
      name = "classroom",
      preferred = true,
      title = "Google Classroom API",
      version = "v1",
    },
    {
      description = "The Cloud Asset API manages the history and inventory of Google Cloud resources.",
      discoveryRestUrl = "https://cloudasset.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/asset-inventory/docs/quickstart",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudasset:v1",
      kind = "discovery#directoryItem",
      name = "cloudasset",
      preferred = true,
      title = "Cloud Asset API",
      version = "v1",
    },
    {
      description = "Allows developers to manage billing for their Google Cloud Platform projects programmatically.",
      discoveryRestUrl = "https://cloudbilling.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/billing/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudbilling:v1",
      kind = "discovery#directoryItem",
      name = "cloudbilling",
      preferred = true,
      title = "Cloud Billing API",
      version = "v1",
    },
    {
      description = "Creates and manages builds on Google Cloud Platform.",
      discoveryRestUrl = "https://cloudbuild.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/cloud-build/docs/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudbuild:v1",
      kind = "discovery#directoryItem",
      name = "cloudbuild",
      preferred = true,
      title = "Cloud Build API",
      version = "v1",
    },
    {
      description = "The Cloud Channel API enables Google Cloud partners to have a single unified resale platform and APIs across all of Google Cloud including GCP, Workspace, Maps and Chrome.",
      discoveryRestUrl = "https://cloudchannel.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/channel",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudchannel:v1",
      kind = "discovery#directoryItem",
      name = "cloudchannel",
      preferred = true,
      title = "Cloud Channel API",
      version = "v1",
    },
    {
      description = "Examines the call stack and variables of a running application without stopping or slowing it down.",
      discoveryRestUrl = "https://clouddebugger.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/debugger",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "clouddebugger:v2",
      kind = "discovery#directoryItem",
      name = "clouddebugger",
      preferred = true,
      title = "Cloud Debugger API",
      version = "v2",
    },
    {
      description = "",
      discoveryRestUrl = "https://clouddeploy.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/deploy/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "clouddeploy:v1",
      kind = "discovery#directoryItem",
      name = "clouddeploy",
      preferred = true,
      title = "Google Cloud Deploy API",
      version = "v1",
    },
    {
      description = "Manages lightweight user-provided functions executed in response to events.",
      discoveryRestUrl = "https://cloudfunctions.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/functions",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudfunctions:v1",
      kind = "discovery#directoryItem",
      name = "cloudfunctions",
      preferred = false,
      title = "Cloud Functions API",
      version = "v1",
    },
    {
      description = "Manages lightweight user-provided functions executed in response to events.",
      discoveryRestUrl = "https://cloudfunctions.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/functions",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudfunctions:v2",
      kind = "discovery#directoryItem",
      name = "cloudfunctions",
      preferred = true,
      title = "Cloud Functions API",
      version = "v2",
    },
    {
      description = "API for provisioning and managing identity resources.",
      discoveryRestUrl = "https://cloudidentity.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/identity/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudidentity:v1",
      kind = "discovery#directoryItem",
      name = "cloudidentity",
      preferred = true,
      title = "Cloud Identity API",
      version = "v1",
    },
    {
      description = "Registers and manages IoT (Internet of Things) devices that connect to the Google Cloud Platform.",
      discoveryRestUrl = "https://cloudiot.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/iot",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudiot:v1",
      kind = "discovery#directoryItem",
      name = "cloudiot",
      preferred = true,
      title = "Cloud IoT API",
      version = "v1",
    },
    {
      description = "Manages keys and performs cryptographic operations in a central cloud service, for direct use by other cloud resources and applications.",
      discoveryRestUrl = "https://cloudkms.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/kms/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudkms:v1",
      kind = "discovery#directoryItem",
      name = "cloudkms",
      preferred = true,
      title = "Cloud Key Management Service (KMS) API",
      version = "v1",
    },
    {
      description = "Manages continuous profiling information.",
      discoveryRestUrl = "https://cloudprofiler.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/profiler/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudprofiler:v2",
      kind = "discovery#directoryItem",
      name = "cloudprofiler",
      preferred = true,
      title = "Stackdriver Profiler API",
      version = "v2",
    },
    {
      description = "Creates, reads, and updates metadata for Google Cloud Platform resource containers.",
      discoveryRestUrl = "https://cloudresourcemanager.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/resource-manager",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudresourcemanager:v1",
      kind = "discovery#directoryItem",
      name = "cloudresourcemanager",
      preferred = false,
      title = "Cloud Resource Manager API",
      version = "v1",
    },
    {
      description = "Creates, reads, and updates metadata for Google Cloud Platform resource containers.",
      discoveryRestUrl = "https://cloudresourcemanager.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/resource-manager",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudresourcemanager:v2",
      kind = "discovery#directoryItem",
      name = "cloudresourcemanager",
      preferred = false,
      title = "Cloud Resource Manager API",
      version = "v2",
    },
    {
      description = "Creates, reads, and updates metadata for Google Cloud Platform resource containers.",
      discoveryRestUrl = "https://cloudresourcemanager.googleapis.com/$discovery/rest?version=v3",
      documentationLink = "https://cloud.google.com/resource-manager",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudresourcemanager:v3",
      kind = "discovery#directoryItem",
      name = "cloudresourcemanager",
      preferred = true,
      title = "Cloud Resource Manager API",
      version = "v3",
    },
    {
      description = "Creates and manages jobs run on a regular recurring schedule.",
      discoveryRestUrl = "https://cloudscheduler.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/scheduler/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudscheduler:v1",
      kind = "discovery#directoryItem",
      name = "cloudscheduler",
      preferred = true,
      title = "Cloud Scheduler API",
      version = "v1",
    },
    {
      description = "Cloud Search provides cloud-based search capabilities over Google Workspace data. The Cloud Search API allows indexing of non-Google Workspace data into Cloud Search.",
      discoveryRestUrl = "https://cloudsearch.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/cloud-search/docs/guides/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudsearch:v1",
      kind = "discovery#directoryItem",
      name = "cloudsearch",
      preferred = true,
      title = "Cloud Search API",
      version = "v1",
    },
    {
      description = "Allows users to start, configure, and connect to interactive shell sessions running in the cloud.",
      discoveryRestUrl = "https://cloudshell.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/shell/docs/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudshell:v1",
      kind = "discovery#directoryItem",
      name = "cloudshell",
      preferred = true,
      title = "Cloud Shell API",
      version = "v1",
    },
    {
      description = "Manages the execution of large numbers of distributed requests.",
      discoveryRestUrl = "https://cloudtasks.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/tasks/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudtasks:v2",
      kind = "discovery#directoryItem",
      name = "cloudtasks",
      preferred = true,
      title = "Cloud Tasks API",
      version = "v2",
    },
    {
      description = "Sends application trace data to Cloud Trace for viewing. Trace data is collected for all App Engine applications by default. Trace data from other applications can be provided using this API. This library is used to interact with the Cloud Trace API directly. If you are looking to instrument your application for Cloud Trace, we recommend using OpenTelemetry.",
      discoveryRestUrl = "https://cloudtrace.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/trace",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudtrace:v1",
      kind = "discovery#directoryItem",
      name = "cloudtrace",
      preferred = false,
      title = "Cloud Trace API",
      version = "v1",
    },
    {
      description = "Sends application trace data to Cloud Trace for viewing. Trace data is collected for all App Engine applications by default. Trace data from other applications can be provided using this API. This library is used to interact with the Cloud Trace API directly. If you are looking to instrument your application for Cloud Trace, we recommend using OpenTelemetry.",
      discoveryRestUrl = "https://cloudtrace.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/trace",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "cloudtrace:v2",
      kind = "discovery#directoryItem",
      name = "cloudtrace",
      preferred = true,
      title = "Cloud Trace API",
      version = "v2",
    },
    {
      description = "Manages Apache Airflow environments on Google Cloud Platform.",
      discoveryRestUrl = "https://composer.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/composer/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "composer:v1",
      kind = "discovery#directoryItem",
      name = "composer",
      preferred = true,
      title = "Cloud Composer API",
      version = "v1",
    },
    {
      description = "Creates and runs virtual machines on Google Cloud Platform.",
      discoveryLink = "./apis/compute/v1/rest",
      discoveryRestUrl = "https://www.googleapis.com/discovery/v1/apis/compute/v1/rest",
      documentationLink = "https://developers.google.com/compute/docs/reference/latest/",
      icons = {
        x16 = "https://www.google.com/images/icons/product/compute_engine-16.png",
        x32 = "https://www.google.com/images/icons/product/compute_engine-32.png",
      },
      id = "compute:v1",
      kind = "discovery#directoryItem",
      name = "compute",
      preferred = true,
      title = "Compute Engine API",
      version = "v1",
    },
    {
      description = "Enables users to create and manage connections to Google Cloud services and third-party business applications using the Connectors interface.",
      discoveryRestUrl = "https://connectors.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/apigee/docs/api-platform/connectors/about-connectors",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "connectors:v1",
      kind = "discovery#directoryItem",
      name = "connectors",
      preferred = false,
      title = "Connectors API",
      version = "v1",
    },
    {
      description = "Enables users to create and manage connections to Google Cloud services and third-party business applications using the Connectors interface.",
      discoveryRestUrl = "https://connectors.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/apigee/docs/api-platform/connectors/about-connectors",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "connectors:v2",
      kind = "discovery#directoryItem",
      name = "connectors",
      preferred = true,
      title = "Connectors API",
      version = "v2",
    },
    {
      description = "",
      discoveryRestUrl = "https://contactcenterinsights.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/contact-center/insights/docs",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "contactcenterinsights:v1",
      kind = "discovery#directoryItem",
      name = "contactcenterinsights",
      preferred = true,
      title = "Contact Center AI Insights API",
      version = "v1",
    },
    {
      description = "Builds and manages container-based applications, powered by the open source Kubernetes technology.",
      discoveryRestUrl = "https://container.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/container-engine/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "container:v1",
      kind = "discovery#directoryItem",
      name = "container",
      preferred = true,
      title = "Kubernetes Engine API",
      version = "v1",
    },
    {
      description = "An implementation of the Grafeas API, which stores, and enables querying and retrieval of critical metadata about all of your software artifacts.",
      discoveryRestUrl = "https://containeranalysis.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/container-analysis/api/reference/rest/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "containeranalysis:v1",
      kind = "discovery#directoryItem",
      name = "containeranalysis",
      preferred = true,
      title = "Container Analysis API",
      version = "v1",
    },
    {
      description = "Manage your product listings and accounts for Google Shopping",
      discoveryRestUrl = "https://shoppingcontent.googleapis.com/$discovery/rest?version=v2.1",
      documentationLink = "https://developers.google.com/shopping-content/v2/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "content:v2.1",
      kind = "discovery#directoryItem",
      name = "content",
      preferred = true,
      title = "Content API for Shopping",
      version = "v2.1",
    },
    {
      description = "",
      discoveryRestUrl = "https://contentwarehouse.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/document-warehouse",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "contentwarehouse:v1",
      kind = "discovery#directoryItem",
      name = "contentwarehouse",
      preferred = true,
      title = "contentwarehouse API",
      version = "v1",
    },
    {
      description = "Searches over a website or collection of websites",
      discoveryRestUrl = "https://customsearch.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/custom-search/v1/introduction",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "customsearch:v1",
      kind = "discovery#directoryItem",
      name = "customsearch",
      preferred = true,
      title = "Custom Search API",
      version = "v1",
    },
    {
      description = "A fully managed and highly scalable data discovery and metadata management service.",
      discoveryRestUrl = "https://datacatalog.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/data-catalog/docs/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "datacatalog:v1",
      kind = "discovery#directoryItem",
      name = "datacatalog",
      preferred = true,
      title = "Google Cloud Data Catalog API",
      version = "v1",
    },
    {
      description = "Manages Google Cloud Dataflow projects on Google Cloud Platform.",
      discoveryRestUrl = "https://dataflow.googleapis.com/$discovery/rest?version=v1b3",
      documentationLink = "https://cloud.google.com/dataflow",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "dataflow:v1b3",
      kind = "discovery#directoryItem",
      name = "dataflow",
      preferred = true,
      title = "Dataflow API",
      version = "v1b3",
    },
    {
      description = "Cloud Data Fusion is a fully-managed, cloud native, enterprise data integration service for quickly building and managing data pipelines. It provides a graphical interface to increase time efficiency and reduce complexity, and allows business users, developers, and data scientists to easily and reliably build scalable data integration solutions to cleanse, prepare, blend, transfer and transform data without having to wrestle with infrastructure.",
      discoveryRestUrl = "https://datafusion.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/data-fusion/docs",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "datafusion:v1",
      kind = "discovery#directoryItem",
      name = "datafusion",
      preferred = true,
      title = "Cloud Data Fusion API",
      version = "v1",
    },
    {
      description = "Manage Cloud Database Migration Service resources on Google Cloud Platform.",
      discoveryRestUrl = "https://datamigration.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/database-migration/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "datamigration:v1",
      kind = "discovery#directoryItem",
      name = "datamigration",
      preferred = true,
      title = "Database Migration API",
      version = "v1",
    },
    {
      description = "Data Pipelines provides an interface for creating, updating, and managing recurring Data Analytics jobs.",
      discoveryRestUrl = "https://datapipelines.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/dataflow/docs/guides/data-pipelines",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "datapipelines:v1",
      kind = "discovery#directoryItem",
      name = "datapipelines",
      preferred = true,
      title = "Data pipelines API",
      version = "v1",
    },
    {
      description = "Dataplex API is used to manage the lifecycle of data lakes.",
      discoveryRestUrl = "https://dataplex.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/dataplex/docs",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "dataplex:v1",
      kind = "discovery#directoryItem",
      name = "dataplex",
      preferred = true,
      title = "Cloud Dataplex API",
      version = "v1",
    },
    {
      description = "Manages Hadoop-based clusters and jobs on Google Cloud Platform.",
      discoveryRestUrl = "https://dataproc.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/dataproc/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "dataproc:v1",
      kind = "discovery#directoryItem",
      name = "dataproc",
      preferred = true,
      title = "Cloud Dataproc API",
      version = "v1",
    },
    {
      description = "Accesses the schemaless NoSQL database to provide fully managed, robust, scalable storage for your application.",
      discoveryRestUrl = "https://datastore.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/datastore/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "datastore:v1",
      kind = "discovery#directoryItem",
      name = "datastore",
      preferred = true,
      title = "Cloud Datastore API",
      version = "v1",
    },
    {
      description = "",
      discoveryRestUrl = "https://datastream.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/datastream/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "datastream:v1",
      kind = "discovery#directoryItem",
      name = "datastream",
      preferred = true,
      title = "Datastream API",
      version = "v1",
    },
    {
      description = "The Google Cloud Deployment Manager v2 API provides services for configuring, deploying, and viewing Google Cloud services and APIs via templates which specify deployments of Cloud resources.",
      discoveryRestUrl = "https://deploymentmanager.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/deployment-manager",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "deploymentmanager:v2",
      kind = "discovery#directoryItem",
      name = "deploymentmanager",
      preferred = true,
      title = "Cloud Deployment Manager V2 API",
      version = "v2",
    },
    {
      description = "Build applications to efficiently manage large or complex trafficking, reporting, and attribution workflows for Campaign Manager 360.",
      discoveryRestUrl = "https://dfareporting.googleapis.com/$discovery/rest?version=v3.5",
      documentationLink = "https://developers.google.com/doubleclick-advertisers/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "dfareporting:v3.5",
      kind = "discovery#directoryItem",
      name = "dfareporting",
      preferred = false,
      title = "Campaign Manager 360 API",
      version = "v3.5",
    },
    {
      description = "Build applications to efficiently manage large or complex trafficking, reporting, and attribution workflows for Campaign Manager 360.",
      discoveryRestUrl = "https://dfareporting.googleapis.com/$discovery/rest?version=v4",
      documentationLink = "https://developers.google.com/doubleclick-advertisers/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "dfareporting:v4",
      kind = "discovery#directoryItem",
      name = "dfareporting",
      preferred = true,
      title = "Campaign Manager 360 API",
      version = "v4",
    },
    {
      description = "Builds conversational interfaces (for example, chatbots, and voice-powered apps and devices).",
      discoveryRestUrl = "https://dialogflow.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/dialogflow/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "dialogflow:v2",
      kind = "discovery#directoryItem",
      name = "dialogflow",
      preferred = false,
      title = "Dialogflow API",
      version = "v2",
    },
    {
      description = "Builds conversational interfaces (for example, chatbots, and voice-powered apps and devices).",
      discoveryRestUrl = "https://dialogflow.googleapis.com/$discovery/rest?version=v3",
      documentationLink = "https://cloud.google.com/dialogflow/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "dialogflow:v3",
      kind = "discovery#directoryItem",
      name = "dialogflow",
      preferred = true,
      title = "Dialogflow API",
      version = "v3",
    },
    {
      description = "Discovers relationships between online assets such as websites or mobile apps.",
      discoveryRestUrl = "https://digitalassetlinks.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/digital-asset-links/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "digitalassetlinks:v1",
      kind = "discovery#directoryItem",
      name = "digitalassetlinks",
      preferred = true,
      title = "Digital Asset Links API",
      version = "v1",
    },
    {
      description = "Google API Discovery Service allows service consumers to list the discovery metadata of all public APIs managed by the API Platform.",
      discoveryRestUrl = "https://discovery.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/discovery",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "discovery:v1",
      kind = "discovery#directoryItem",
      name = "discovery",
      preferred = true,
      title = "API Discovery Service",
      version = "v1",
    },
    {
      description = "Display & Video 360 API allows users to automate complex Display & Video 360 workflows, such as creating insertion orders and setting targeting options for individual line items.",
      discoveryRestUrl = "https://displayvideo.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/display-video/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "displayvideo:v1",
      kind = "discovery#directoryItem",
      name = "displayvideo",
      preferred = false,
      title = "Display & Video 360 API",
      version = "v1",
    },
    {
      description = "Display & Video 360 API allows users to automate complex Display & Video 360 workflows, such as creating insertion orders and setting targeting options for individual line items.",
      discoveryRestUrl = "https://displayvideo.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://developers.google.com/display-video/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "displayvideo:v2",
      kind = "discovery#directoryItem",
      name = "displayvideo",
      preferred = true,
      title = "Display & Video 360 API",
      version = "v2",
    },
    {
      description = "Provides methods for detection, risk analysis, and de-identification of privacy-sensitive fragments in text, images, and Google Cloud Platform storage repositories.",
      discoveryRestUrl = "https://dlp.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/dlp/docs/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "dlp:v2",
      kind = "discovery#directoryItem",
      name = "dlp",
      preferred = true,
      title = "Cloud Data Loss Prevention (DLP) API",
      version = "v2",
    },
    {
      description = "",
      discoveryRestUrl = "https://dns.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/dns/docs",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "dns:v1",
      kind = "discovery#directoryItem",
      name = "dns",
      preferred = true,
      title = "Cloud DNS API",
      version = "v1",
    },
    {
      description = "Reads and writes Google Docs documents.",
      discoveryRestUrl = "https://docs.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/docs/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "docs:v1",
      kind = "discovery#directoryItem",
      name = "docs",
      preferred = true,
      title = "Google Docs API",
      version = "v1",
    },
    {
      description = "Service to parse structured information from unstructured or semi-structured documents using state-of-the-art Google AI such as natural language, computer vision, translation, and AutoML.",
      discoveryRestUrl = "https://documentai.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/document-ai/docs/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "documentai:v1",
      kind = "discovery#directoryItem",
      name = "documentai",
      preferred = true,
      title = "Cloud Document AI API",
      version = "v1",
    },
    {
      description = "Enables management and configuration of domain names.",
      discoveryRestUrl = "https://domains.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/domains/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "domains:v1",
      kind = "discovery#directoryItem",
      name = "domains",
      preferred = true,
      title = "Cloud Domains API",
      version = "v1",
    },
    {
      description = "Read-only public API that lets users search for information about domain names.",
      discoveryRestUrl = "https://domainsrdap.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/domains/rdap/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "domainsrdap:v1",
      kind = "discovery#directoryItem",
      name = "domainsrdap",
      preferred = true,
      title = "Domains RDAP API",
      version = "v1",
    },
    {
      description = "DoubleClick Bid Manager API allows users to manage and create campaigns and reports.",
      discoveryRestUrl = "https://doubleclickbidmanager.googleapis.com/$discovery/rest?version=v1.1",
      documentationLink = "https://developers.google.com/bid-manager/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "doubleclickbidmanager:v1.1",
      kind = "discovery#directoryItem",
      name = "doubleclickbidmanager",
      preferred = false,
      title = "DoubleClick Bid Manager API",
      version = "v1.1",
    },
    {
      description = "DoubleClick Bid Manager API allows users to manage and create campaigns and reports.",
      discoveryRestUrl = "https://doubleclickbidmanager.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://developers.google.com/bid-manager/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "doubleclickbidmanager:v2",
      kind = "discovery#directoryItem",
      name = "doubleclickbidmanager",
      preferred = true,
      title = "DoubleClick Bid Manager API",
      version = "v2",
    },
    {
      description = "The Search Ads 360 API allows developers to automate uploading conversions and downloading reports from Search Ads 360.",
      discoveryRestUrl = "https://doubleclicksearch.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://developers.google.com/search-ads",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "doubleclicksearch:v2",
      kind = "discovery#directoryItem",
      name = "doubleclicksearch",
      preferred = true,
      title = "Search Ads 360 API",
      version = "v2",
    },
    {
      description = "Manages files in Drive including uploading, downloading, searching, detecting changes, and updating sharing permissions.",
      discoveryLink = "./apis/drive/v2/rest",
      discoveryRestUrl = "https://www.googleapis.com/discovery/v1/apis/drive/v2/rest",
      documentationLink = "https://developers.google.com/drive/",
      icons = {
        x16 = "https://ssl.gstatic.com/docs/doclist/images/drive_icon_16.png",
        x32 = "https://ssl.gstatic.com/docs/doclist/images/drive_icon_32.png",
      },
      id = "drive:v2",
      kind = "discovery#directoryItem",
      name = "drive",
      preferred = false,
      title = "Drive API",
      version = "v2",
    },
    {
      description = "Manages files in Drive including uploading, downloading, searching, detecting changes, and updating sharing permissions.",
      discoveryLink = "./apis/drive/v3/rest",
      discoveryRestUrl = "https://www.googleapis.com/discovery/v1/apis/drive/v3/rest",
      documentationLink = "https://developers.google.com/drive/",
      icons = {
        x16 = "https://ssl.gstatic.com/docs/doclist/images/drive_icon_16.png",
        x32 = "https://ssl.gstatic.com/docs/doclist/images/drive_icon_32.png",
      },
      id = "drive:v3",
      kind = "discovery#directoryItem",
      name = "drive",
      preferred = true,
      title = "Drive API",
      version = "v3",
    },
    {
      description = "Provides a historical view of activity in Google Drive.",
      discoveryRestUrl = "https://driveactivity.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://developers.google.com/drive/activity/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "driveactivity:v2",
      kind = "discovery#directoryItem",
      name = "driveactivity",
      preferred = true,
      title = "Drive Activity API",
      version = "v2",
    },
    {
      description = "An API for managing Drive Labels",
      discoveryRestUrl = "https://drivelabels.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://developers.google.com/drive/labels",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "drivelabels:v2",
      kind = "discovery#directoryItem",
      name = "drivelabels",
      preferred = true,
      title = "Drive Labels API",
      version = "v2",
    },
    {
      description = "",
      discoveryRestUrl = "https://essentialcontacts.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/essentialcontacts/docs/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "essentialcontacts:v1",
      kind = "discovery#directoryItem",
      name = "essentialcontacts",
      preferred = true,
      title = "Essential Contacts API",
      version = "v1",
    },
    {
      description = "Build event-driven applications on Google Cloud Platform.",
      discoveryRestUrl = "https://eventarc.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/eventarc",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "eventarc:v1",
      kind = "discovery#directoryItem",
      name = "eventarc",
      preferred = true,
      title = "Eventarc API",
      version = "v1",
    },
    {
      description = "FCM send API that provides a cross-platform messaging solution to reliably deliver messages at no cost.",
      discoveryRestUrl = "https://fcm.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://firebase.google.com/docs/cloud-messaging",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "fcm:v1",
      kind = "discovery#directoryItem",
      name = "fcm",
      preferred = true,
      title = "Firebase Cloud Messaging API",
      version = "v1",
    },
    {
      description = "The Cloud Filestore API is used for creating and managing cloud file servers.",
      discoveryRestUrl = "https://file.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/filestore/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "file:v1",
      kind = "discovery#directoryItem",
      name = "file",
      preferred = true,
      title = "Cloud Filestore API",
      version = "v1",
    },
    {
      description = "Firebase App Check works alongside other Firebase services to help protect your backend resources from abuse, such as billing fraud or phishing.",
      discoveryRestUrl = "https://firebaseappcheck.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://firebase.google.com/docs/app-check",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "firebaseappcheck:v1",
      kind = "discovery#directoryItem",
      name = "firebaseappcheck",
      preferred = true,
      title = "Firebase App Check API",
      version = "v1",
    },
    {
      description = "Programmatically creates and manages Firebase Dynamic Links.",
      discoveryRestUrl = "https://firebasedynamiclinks.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://firebase.google.com/docs/dynamic-links/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "firebasedynamiclinks:v1",
      kind = "discovery#directoryItem",
      name = "firebasedynamiclinks",
      preferred = true,
      title = "Firebase Dynamic Links API",
      version = "v1",
    },
    {
      description = "The Firebase Hosting REST API enables programmatic and customizable management and deployments to your Firebase-hosted sites. Use this REST API to create and manage channels and sites as well as to deploy new or updated hosting configurations and content files.",
      discoveryRestUrl = "https://firebasehosting.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://firebase.google.com/docs/hosting/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "firebasehosting:v1",
      kind = "discovery#directoryItem",
      name = "firebasehosting",
      preferred = true,
      title = "Firebase Hosting API",
      version = "v1",
    },
    {
      description = "Access custom machine learning models hosted via Firebase ML.",
      discoveryRestUrl = "https://firebaseml.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://firebase.google.com",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "firebaseml:v1",
      kind = "discovery#directoryItem",
      name = "firebaseml",
      preferred = true,
      title = "Firebase ML API",
      version = "v1",
    },
    {
      description = "Creates and manages rules that determine when a Firebase Rules-enabled service should permit a request.",
      discoveryRestUrl = "https://firebaserules.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://firebase.google.com/docs/storage/security",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "firebaserules:v1",
      kind = "discovery#directoryItem",
      name = "firebaserules",
      preferred = true,
      title = "Firebase Rules API",
      version = "v1",
    },
    {
      description = "Accesses the NoSQL document database built for automatic scaling, high performance, and ease of application development.",
      discoveryRestUrl = "https://firestore.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/firestore",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "firestore:v1",
      kind = "discovery#directoryItem",
      name = "firestore",
      preferred = true,
      title = "Cloud Firestore API",
      version = "v1",
    },
    {
      description = "The Fitness API for managing users' fitness tracking data.",
      discoveryRestUrl = "https://fitness.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/fit/rest/v1/get-started",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "fitness:v1",
      kind = "discovery#directoryItem",
      name = "fitness",
      preferred = true,
      title = "Fitness API",
      version = "v1",
    },
    {
      description = "Reads and writes Google Forms and responses.",
      discoveryRestUrl = "https://forms.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/forms/api",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "forms:v1",
      kind = "discovery#directoryItem",
      name = "forms",
      preferred = true,
      title = "Google Forms API",
      version = "v1",
    },
    {
      description = "The Google Play games service allows developers to enhance games with social leaderboards, achievements, game state, sign-in with Google, and more.",
      discoveryRestUrl = "https://games.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/games/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "games:v1",
      kind = "discovery#directoryItem",
      name = "games",
      preferred = true,
      title = "Google Play Game Services",
      version = "v1",
    },
    {
      description = "The Google Play Game Services Publishing API allows developers to configure their games in Game Services.",
      discoveryRestUrl = "https://gamesconfiguration.googleapis.com/$discovery/rest?version=v1configuration",
      documentationLink = "https://developers.google.com/games/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "gamesConfiguration:v1configuration",
      kind = "discovery#directoryItem",
      name = "gamesConfiguration",
      preferred = true,
      title = "Google Play Game Services Publishing API",
      version = "v1configuration",
    },
    {
      description = "The Google Play Game Management API allows developers to manage resources from the Google Play Game service.",
      discoveryRestUrl = "https://gamesmanagement.googleapis.com/$discovery/rest?version=v1management",
      documentationLink = "https://developers.google.com/games/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "gamesManagement:v1management",
      kind = "discovery#directoryItem",
      name = "gamesManagement",
      preferred = true,
      title = "Google Play Game Management",
      version = "v1management",
    },
    {
      description = "Deploy and manage infrastructure for global multiplayer gaming experiences.",
      discoveryRestUrl = "https://gameservices.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/solutions/gaming/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "gameservices:v1",
      kind = "discovery#directoryItem",
      name = "gameservices",
      preferred = true,
      title = "Game Services API",
      version = "v1",
    },
    {
      description = "Backup for GKE is a managed Kubernetes workload backup and restore service for GKE clusters.",
      discoveryRestUrl = "https://gkebackup.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/kubernetes-engine/docs/add-on/backup-for-gke",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "gkebackup:v1",
      kind = "discovery#directoryItem",
      name = "gkebackup",
      preferred = true,
      title = "Backup for GKE API",
      version = "v1",
    },
    {
      description = "",
      discoveryRestUrl = "https://gkehub.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/anthos/multicluster-management/connect/registering-a-cluster",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "gkehub:v1",
      kind = "discovery#directoryItem",
      name = "gkehub",
      preferred = true,
      title = "GKE Hub API",
      version = "v1",
    },
    {
      description = "The Gmail API lets you view and manage Gmail mailbox data like threads, messages, and labels.",
      discoveryRestUrl = "https://gmail.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/gmail/api/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "gmail:v1",
      kind = "discovery#directoryItem",
      name = "gmail",
      preferred = true,
      title = "Gmail API",
      version = "v1",
    },
    {
      description = "The Postmaster Tools API is a RESTful API that provides programmatic access to email traffic metrics (like spam reports, delivery errors etc) otherwise available through the Gmail Postmaster Tools UI currently.",
      discoveryRestUrl = "https://gmailpostmastertools.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/gmail/postmaster",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "gmailpostmastertools:v1",
      kind = "discovery#directoryItem",
      name = "gmailpostmastertools",
      preferred = true,
      title = "Gmail Postmaster Tools API",
      version = "v1",
    },
    {
      description = "The Groups Migration API allows domain administrators to archive emails into Google groups.",
      discoveryRestUrl = "https://groupsmigration.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/google-apps/groups-migration/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "groupsmigration:v1",
      kind = "discovery#directoryItem",
      name = "groupsmigration",
      preferred = true,
      title = "Groups Migration API",
      version = "v1",
    },
    {
      description = "The Groups Settings API allows domain administrators to view and manage access levels and advanced settings for a group.",
      discoveryRestUrl = "https://groupssettings.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/admin-sdk/groups-settings",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "groupssettings:v1",
      kind = "discovery#directoryItem",
      name = "groupssettings",
      preferred = true,
      title = "Groups Settings API",
      version = "v1",
    },
    {
      description = "Manage, store, and access healthcare data in Google Cloud Platform.",
      discoveryRestUrl = "https://healthcare.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/healthcare",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "healthcare:v1",
      kind = "discovery#directoryItem",
      name = "healthcare",
      preferred = true,
      title = "Cloud Healthcare API",
      version = "v1",
    },
    {
      description = "",
      discoveryRestUrl = "https://homegraph.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.home.google.com/cloud-to-cloud/get-started",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "homegraph:v1",
      kind = "discovery#directoryItem",
      name = "homegraph",
      preferred = true,
      title = "HomeGraph API",
      version = "v1",
    },
    {
      description = "Manages identity and access control for Google Cloud Platform resources, including the creation of service accounts, which you can use to authenticate to Google and make API calls.",
      discoveryRestUrl = "https://iam.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/iam/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "iam:v1",
      kind = "discovery#directoryItem",
      name = "iam",
      preferred = true,
      title = "Identity and Access Management (IAM) API",
      version = "v1",
    },
    {
      description = "Creates short-lived credentials for impersonating IAM service accounts. To enable this API, you must enable the IAM API (iam.googleapis.com).",
      discoveryRestUrl = "https://iamcredentials.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/iam/docs/creating-short-lived-service-account-credentials",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "iamcredentials:v1",
      kind = "discovery#directoryItem",
      name = "iamcredentials",
      preferred = true,
      title = "IAM Service Account Credentials API",
      version = "v1",
    },
    {
      description = "Controls access to cloud applications running on Google Cloud Platform.",
      discoveryRestUrl = "https://iap.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/iap",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "iap:v1",
      kind = "discovery#directoryItem",
      name = "iap",
      preferred = true,
      title = "Cloud Identity-Aware Proxy API",
      version = "v1",
    },
    {
      description = "The Google Identity Toolkit API lets you use open standards to verify a user's identity.",
      discoveryRestUrl = "https://identitytoolkit.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/identity-platform",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "identitytoolkit:v1",
      kind = "discovery#directoryItem",
      name = "identitytoolkit",
      preferred = false,
      title = "Identity Toolkit API",
      version = "v1",
    },
    {
      description = "The Google Identity Toolkit API lets you use open standards to verify a user's identity.",
      discoveryRestUrl = "https://identitytoolkit.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/identity-platform",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "identitytoolkit:v2",
      kind = "discovery#directoryItem",
      name = "identitytoolkit",
      preferred = false,
      title = "Identity Toolkit API",
      version = "v2",
    },
    {
      description = "The Google Identity Toolkit API lets you use open standards to verify a user's identity.",
      discoveryRestUrl = "https://identitytoolkit.googleapis.com/$discovery/rest?version=v3",
      documentationLink = "https://cloud.google.com/identity-platform",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "identitytoolkit:v3",
      kind = "discovery#directoryItem",
      name = "identitytoolkit",
      preferred = true,
      title = "Identity Toolkit API",
      version = "v3",
    },
    {
      description = "Cloud IDS (Cloud Intrusion Detection System) detects malware, spyware, command-and-control attacks, and other network-based threats. Its security efficacy is industry leading, built with Palo Alto Networks technologies. When you use this product, your organization name and consumption levels will be shared with Palo Alto Networks.",
      discoveryRestUrl = "https://ids.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "ids:v1",
      kind = "discovery#directoryItem",
      name = "ids",
      preferred = true,
      title = "Cloud IDS API",
      version = "v1",
    },
    {
      description = "Notifies Google when your web pages change.",
      discoveryRestUrl = "https://indexing.googleapis.com/$discovery/rest?version=v3",
      documentationLink = "https://developers.google.com/search/apis/indexing-api/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "indexing:v3",
      kind = "discovery#directoryItem",
      name = "indexing",
      preferred = true,
      title = "Indexing API",
      version = "v3",
    },
    {
      description = "Cloud Talent Solution provides the capability to create, read, update, and delete job postings, as well as search jobs based on keywords and filters.",
      discoveryRestUrl = "https://jobs.googleapis.com/$discovery/rest?version=v3",
      documentationLink = "https://cloud.google.com/talent-solution/job-search/docs/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "jobs:v3",
      kind = "discovery#directoryItem",
      name = "jobs",
      preferred = false,
      title = "Cloud Talent Solution API",
      version = "v3",
    },
    {
      description = "Cloud Talent Solution provides the capability to create, read, update, and delete job postings, as well as search jobs based on keywords and filters.",
      discoveryRestUrl = "https://jobs.googleapis.com/$discovery/rest?version=v4",
      documentationLink = "https://cloud.google.com/talent-solution/job-search/docs/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "jobs:v4",
      kind = "discovery#directoryItem",
      name = "jobs",
      preferred = true,
      title = "Cloud Talent Solution API",
      version = "v4",
    },
    {
      description = "The Google Keep API is used in an enterprise environment to manage Google Keep content and resolve issues identified by cloud security software.",
      discoveryRestUrl = "https://keep.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/keep/api",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "keep:v1",
      kind = "discovery#directoryItem",
      name = "keep",
      preferred = true,
      title = "Google Keep API",
      version = "v1",
    },
    {
      description = "Searches the Google Knowledge Graph for entities.",
      discoveryRestUrl = "https://kgsearch.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/knowledge-graph/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "kgsearch:v1",
      kind = "discovery#directoryItem",
      name = "kgsearch",
      preferred = true,
      title = "Knowledge Graph Search API",
      version = "v1",
    },
    {
      description = "",
      discoveryRestUrl = "https://kmsinventory.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/kms/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "kmsinventory:v1",
      kind = "discovery#directoryItem",
      name = "kmsinventory",
      preferred = true,
      title = "KMS Inventory API",
      version = "v1",
    },
    {
      description = "Provides natural language understanding technologies, such as sentiment analysis, entity recognition, entity sentiment analysis, and other text annotations, to developers.",
      discoveryRestUrl = "https://language.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/natural-language/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "language:v1",
      kind = "discovery#directoryItem",
      name = "language",
      preferred = true,
      title = "Cloud Natural Language API",
      version = "v1",
    },
    {
      description = "A simple Google Example Library API.",
      discoveryRestUrl = "https://libraryagent.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/docs/quota",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "libraryagent:v1",
      kind = "discovery#directoryItem",
      name = "libraryagent",
      preferred = true,
      title = "Library Agent API",
      version = "v1",
    },
    {
      description = "The Google Enterprise License Manager API lets you manage Google Workspace and related licenses for all users of a customer that you manage.",
      discoveryRestUrl = "https://licensing.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/admin-sdk/licensing/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "licensing:v1",
      kind = "discovery#directoryItem",
      name = "licensing",
      preferred = true,
      title = "Enterprise License Manager API",
      version = "v1",
    },
    {
      description = "",
      discoveryRestUrl = "https://localservices.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://ads.google.com/local-services-ads/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "localservices:v1",
      kind = "discovery#directoryItem",
      name = "localservices",
      preferred = true,
      title = "Local Services API",
      version = "v1",
    },
    {
      description = "Writes log entries and manages your Cloud Logging configuration.",
      discoveryRestUrl = "https://logging.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/logging/docs/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "logging:v2",
      kind = "discovery#directoryItem",
      name = "logging",
      preferred = true,
      title = "Cloud Logging API",
      version = "v2",
    },
    {
      description = "The Managed Service for Microsoft Active Directory API is used for managing a highly available, hardened service running Microsoft Active Directory (AD).",
      discoveryRestUrl = "https://managedidentities.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/managed-microsoft-ad/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "managedidentities:v1",
      kind = "discovery#directoryItem",
      name = "managedidentities",
      preferred = true,
      title = "Managed Service for Microsoft Active Directory API",
      version = "v1",
    },
    {
      description = "Public API for managing Manufacturer Center related data.",
      discoveryRestUrl = "https://manufacturers.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/manufacturers/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "manufacturers:v1",
      kind = "discovery#directoryItem",
      name = "manufacturers",
      preferred = true,
      title = "Manufacturer Center API",
      version = "v1",
    },
    {
      description = "Google Cloud Memorystore for Memcached API is used for creating and managing Memcached instances in GCP.",
      discoveryRestUrl = "https://memcache.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/memorystore/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "memcache:v1",
      kind = "discovery#directoryItem",
      name = "memcache",
      preferred = true,
      title = "Cloud Memorystore for Memcached API",
      version = "v1",
    },
    {
      description = "The Dataproc Metastore API is used to manage the lifecycle and configuration of metastore services.",
      discoveryRestUrl = "https://metastore.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/dataproc-metastore/docs",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "metastore:v1",
      kind = "discovery#directoryItem",
      name = "metastore",
      preferred = true,
      title = "Dataproc Metastore API",
      version = "v1",
    },
    {
      description = "An API to enable creating and using machine learning models.",
      discoveryRestUrl = "https://ml.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/ml/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "ml:v1",
      kind = "discovery#directoryItem",
      name = "ml",
      preferred = true,
      title = "AI Platform Training & Prediction API",
      version = "v1",
    },
    {
      description = "Manages your Cloud Monitoring data and configurations.",
      discoveryRestUrl = "https://monitoring.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/monitoring/api/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "monitoring:v1",
      kind = "discovery#directoryItem",
      name = "monitoring",
      preferred = false,
      title = "Cloud Monitoring API",
      version = "v1",
    },
    {
      description = "Manages your Cloud Monitoring data and configurations.",
      discoveryRestUrl = "https://monitoring.googleapis.com/$discovery/rest?version=v3",
      documentationLink = "https://cloud.google.com/monitoring/api/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "monitoring:v3",
      kind = "discovery#directoryItem",
      name = "monitoring",
      preferred = true,
      title = "Cloud Monitoring API",
      version = "v3",
    },
    {
      description = "The My Business Account Management API provides an interface for managing access to a location on Google. Note - If you have a quota of 0 after enabling the API, please request <https://developers.google.com/my-business/content/prereqs#request-access> for GBP API access.",
      discoveryRestUrl = "https://mybusinessaccountmanagement.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/my-business/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "mybusinessaccountmanagement:v1",
      kind = "discovery#directoryItem",
      name = "mybusinessaccountmanagement",
      preferred = true,
      title = "My Business Account Management API",
      version = "v1",
    },
    {
      description = "The My Business Business Calls API manages business calls information of a location on Google and collect insights like the number of missed calls to their location. Additional information about Business calls can be found at https://support.google.com/business/answer/9688285?p=call_history. If the Google Business Profile links to a Google Ads account and call history is turned on, calls that last longer than a specific time, and that can be attributed to an ad interaction, will show in the linked Google Ads account under the \"Calls from Ads\" conversion. If smart bidding and call conversions are used in the optimization strategy, there could be a change in ad spend. Learn more about smart bidding <https://support.google.com/google-ads/answer/7065882>. To view and perform actions on a location's calls, you need to be a `OWNER`, `CO_OWNER` or `MANAGER` of the location. Note - If you have a quota of 0 after enabling the API, please request <https://developers.google.com/my-business/content/prereqs#request-access> for GBP API access.",
      discoveryRestUrl = "https://mybusinessbusinesscalls.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/my-business/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "mybusinessbusinesscalls:v1",
      kind = "discovery#directoryItem",
      name = "mybusinessbusinesscalls",
      preferred = true,
      title = "My Business Business Calls API",
      version = "v1",
    },
    {
      description = "The My Business Business Information API provides an interface for managing business information. Note - If you have a quota of 0 after enabling the API, please request <https://developers.google.com/my-business/content/prereqs#request-access> for GBP API access.",
      discoveryRestUrl = "https://mybusinessbusinessinformation.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/my-business/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "mybusinessbusinessinformation:v1",
      kind = "discovery#directoryItem",
      name = "mybusinessbusinessinformation",
      preferred = true,
      title = "My Business Business Information API",
      version = "v1",
    },
    {
      description = "The My Business Lodging API enables managing lodging business information on Google. Note - If you have a quota of 0 after enabling the API, please request <https://developers.google.com/my-business/content/prereqs#request-access> for GBP API access.",
      discoveryRestUrl = "https://mybusinesslodging.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/my-business/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "mybusinesslodging:v1",
      kind = "discovery#directoryItem",
      name = "mybusinesslodging",
      preferred = true,
      title = "My Business Lodging API",
      version = "v1",
    },
    {
      description = "The My Business Notification Settings API enables managing notification settings for business accounts. Note - If you have a quota of 0 after enabling the API, please request <https://developers.google.com/my-business/content/prereqs#request-access> for GBP API access.",
      discoveryRestUrl = "https://mybusinessnotifications.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/my-business/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "mybusinessnotifications:v1",
      kind = "discovery#directoryItem",
      name = "mybusinessnotifications",
      preferred = true,
      title = "My Business Notifications API",
      version = "v1",
    },
    {
      description = "The My Business Place Actions API provides an interface for managing place action links of a location on Google. Note - If you have a quota of 0 after enabling the API, please request <https://developers.google.com/my-business/content/prereqs#request-access> for GBP API access.",
      discoveryRestUrl = "https://mybusinessplaceactions.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/my-business/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "mybusinessplaceactions:v1",
      kind = "discovery#directoryItem",
      name = "mybusinessplaceactions",
      preferred = true,
      title = "My Business Place Actions API",
      version = "v1",
    },
    {
      description = "The My Business Q&A API allows questions and answers to be posted for specific listings. Note - If you have a quota of 0 after enabling the API, please request <https://developers.google.com/my-business/content/prereqs#request-access> for GBP API access.",
      discoveryRestUrl = "https://mybusinessqanda.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/my-business/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "mybusinessqanda:v1",
      kind = "discovery#directoryItem",
      name = "mybusinessqanda",
      preferred = true,
      title = "My Business Q&A API",
      version = "v1",
    },
    {
      description = "The My Business Verifications API provides an interface for taking verifications related actions for locations.",
      discoveryRestUrl = "https://mybusinessverifications.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/my-business/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "mybusinessverifications:v1",
      kind = "discovery#directoryItem",
      name = "mybusinessverifications",
      preferred = true,
      title = "My Business Verifications API",
      version = "v1",
    },
    {
      description = "This API enables connectivity with and between Google Cloud resources.",
      discoveryRestUrl = "https://networkconnectivity.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "networkconnectivity:v1",
      kind = "discovery#directoryItem",
      name = "networkconnectivity",
      preferred = true,
      title = "Network Connectivity API",
      version = "v1",
    },
    {
      description = "The Network Management API provides a collection of network performance monitoring and diagnostic capabilities.",
      discoveryRestUrl = "https://networkmanagement.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "networkmanagement:v1",
      kind = "discovery#directoryItem",
      name = "networkmanagement",
      preferred = true,
      title = "Network Management API",
      version = "v1",
    },
    {
      description = "",
      discoveryRestUrl = "https://networksecurity.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/networking",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "networksecurity:v1",
      kind = "discovery#directoryItem",
      name = "networksecurity",
      preferred = true,
      title = "Network Security API",
      version = "v1",
    },
    {
      description = "",
      discoveryRestUrl = "https://networkservices.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/networking",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "networkservices:v1",
      kind = "discovery#directoryItem",
      name = "networkservices",
      preferred = true,
      title = "Network Services API",
      version = "v1",
    },
    {
      description = "Notebooks API is used to manage notebook resources in Google Cloud.",
      discoveryRestUrl = "https://notebooks.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/notebooks/docs/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "notebooks:v1",
      kind = "discovery#directoryItem",
      name = "notebooks",
      preferred = true,
      title = "Notebooks API",
      version = "v1",
    },
    {
      description = "[Deprecated] Obtains end-user authorization grants for use with other Google APIs.",
      discoveryLink = "./apis/oauth2/v2/rest",
      discoveryRestUrl = "https://www.googleapis.com/discovery/v1/apis/oauth2/v2/rest",
      documentationLink = "https://developers.google.com/accounts/docs/OAuth2",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "oauth2:v2",
      kind = "discovery#directoryItem",
      name = "oauth2",
      preferred = true,
      title = "Google OAuth2 API",
      version = "v2",
    },
    {
      description = "A service to scan container images for vulnerabilities.",
      discoveryRestUrl = "https://ondemandscanning.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/container-analysis/docs/on-demand-scanning/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "ondemandscanning:v1",
      kind = "discovery#directoryItem",
      name = "ondemandscanning",
      preferred = true,
      title = "On-Demand Scanning API",
      version = "v1",
    },
    {
      description = "The Org Policy API allows users to configure governance rules on their GCP resources across the Cloud Resource Hierarchy.",
      discoveryRestUrl = "https://orgpolicy.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/orgpolicy/docs/reference/rest/index.html",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "orgpolicy:v2",
      kind = "discovery#directoryItem",
      name = "orgpolicy",
      preferred = true,
      title = "Organization Policy API",
      version = "v2",
    },
    {
      description = "OS management tools that can be used for patch management, patch compliance, and configuration management on VM instances.",
      discoveryRestUrl = "https://osconfig.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/compute/docs/osconfig/rest",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "osconfig:v1",
      kind = "discovery#directoryItem",
      name = "osconfig",
      preferred = true,
      title = "OS Config API",
      version = "v1",
    },
    {
      description = "You can use OS Login to manage access to your VM instances using IAM roles.",
      discoveryRestUrl = "https://oslogin.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/compute/docs/oslogin/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "oslogin:v1",
      kind = "discovery#directoryItem",
      name = "oslogin",
      preferred = true,
      title = "Cloud OS Login API",
      version = "v1",
    },
    {
      description = "The PageSpeed Insights API lets you analyze the performance of your website with a simple API. It offers tailored suggestions for how you can optimize your site, and lets you easily integrate PageSpeed Insights analysis into your development tools and workflow.",
      discoveryRestUrl = "https://pagespeedonline.googleapis.com/$discovery/rest?version=v5",
      documentationLink = "https://developers.google.com/speed/docs/insights/v5/about",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "pagespeedonline:v5",
      kind = "discovery#directoryItem",
      name = "pagespeedonline",
      preferred = true,
      title = "PageSpeed Insights API",
      version = "v5",
    },
    {
      description = "",
      discoveryRestUrl = "https://paymentsresellersubscription.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/payments/reseller/subscription/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "paymentsresellersubscription:v1",
      kind = "discovery#directoryItem",
      name = "paymentsresellersubscription",
      preferred = true,
      title = "Payments Reseller Subscription API",
      version = "v1",
    },
    {
      description = "Provides access to information about profiles and contacts.",
      discoveryRestUrl = "https://people.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/people/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "people:v1",
      kind = "discovery#directoryItem",
      name = "people",
      preferred = true,
      title = "People API",
      version = "v1",
    },
    {
      description = "API to create and publish custom Android apps",
      discoveryRestUrl = "https://playcustomapp.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/android/work/play/custom-app-api/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "playcustomapp:v1",
      kind = "discovery#directoryItem",
      name = "playcustomapp",
      preferred = true,
      title = "Google Play Custom App Publishing API",
      version = "v1",
    },
    {
      description = "The Play Integrity API helps you check that you're interacting with your genuine app on a genuine Android device powered by Google Play services. The Play Integrity API has replaced SafetyNet Attestation and Android Device Verification.",
      discoveryRestUrl = "https://playintegrity.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developer.android.com/google/play/integrity",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "playintegrity:v1",
      kind = "discovery#directoryItem",
      name = "playintegrity",
      preferred = true,
      title = "Google Play Integrity API",
      version = "v1",
    },
    {
      description = "",
      discoveryRestUrl = "https://policyanalyzer.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://www.google.com",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "policyanalyzer:v1",
      kind = "discovery#directoryItem",
      name = "policyanalyzer",
      preferred = true,
      title = "Policy Analyzer API",
      version = "v1",
    },
    {
      description = "Policy Simulator is a collection of endpoints for creating, running, and viewing a [Replay][google.cloud.policysimulator.v1beta1.Replay]. A `Replay` is a type of simulation that lets you see how your members' access to resources might change if you changed your IAM policy. During a `Replay`, Policy Simulator re-evaluates, or replays, past access attempts under both the current policy and your proposed policy, and compares those results to determine how your members' access might change under the proposed policy.",
      discoveryRestUrl = "https://policysimulator.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/iam/docs/simulating-access",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "policysimulator:v1",
      kind = "discovery#directoryItem",
      name = "policysimulator",
      preferred = true,
      title = "Policy Simulator API",
      version = "v1",
    },
    {
      description = "",
      discoveryRestUrl = "https://policytroubleshooter.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/iam/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "policytroubleshooter:v1",
      kind = "discovery#directoryItem",
      name = "policytroubleshooter",
      preferred = true,
      title = "Policy Troubleshooter API",
      version = "v1",
    },
    {
      description = "The Poly API provides read access to assets hosted on poly.google.com to all, and upload access to poly.google.com for whitelisted accounts.",
      discoveryRestUrl = "https://poly.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/poly/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "poly:v1",
      kind = "discovery#directoryItem",
      name = "poly",
      preferred = true,
      title = "Poly API",
      version = "v1",
    },
    {
      description = "The Certificate Authority Service API is a highly-available, scalable service that enables you to simplify and automate the management of private certificate authorities (CAs) while staying in control of your private keys.",
      discoveryRestUrl = "https://privateca.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "privateca:v1",
      kind = "discovery#directoryItem",
      name = "privateca",
      preferred = true,
      title = "Certificate Authority API",
      version = "v1",
    },
    {
      description = "Provides reliable, many-to-many, asynchronous messaging between applications.",
      discoveryRestUrl = "https://pubsub.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/pubsub/docs",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "pubsub:v1",
      kind = "discovery#directoryItem",
      name = "pubsub",
      preferred = true,
      title = "Cloud Pub/Sub API",
      version = "v1",
    },
    {
      description = "",
      discoveryRestUrl = "https://pubsublite.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/pubsub/lite/docs",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "pubsublite:v1",
      kind = "discovery#directoryItem",
      name = "pubsublite",
      preferred = true,
      title = "Pub/Sub Lite API",
      version = "v1",
    },
    {
      description = "Allows external bidders to manage their RTB integration with Google. This includes managing bidder endpoints, QPS quotas, configuring what ad inventory to receive via pretargeting, submitting creatives for verification, and accessing creative metadata such as approval status.",
      discoveryRestUrl = "https://realtimebidding.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "realtimebidding:v1",
      kind = "discovery#directoryItem",
      name = "realtimebidding",
      preferred = true,
      title = "Real-time Bidding API",
      version = "v1",
    },
    {
      description = "Help protect your website from fraudulent activity, spam, and abuse without creating friction.",
      discoveryRestUrl = "https://recaptchaenterprise.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/recaptcha-enterprise/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "recaptchaenterprise:v1",
      kind = "discovery#directoryItem",
      name = "recaptchaenterprise",
      preferred = true,
      title = "reCAPTCHA Enterprise API",
      version = "v1",
    },
    {
      description = "",
      discoveryRestUrl = "https://recommender.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/recommender/docs/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "recommender:v1",
      kind = "discovery#directoryItem",
      name = "recommender",
      preferred = true,
      title = "Recommender API",
      version = "v1",
    },
    {
      description = "Creates and manages Redis instances on the Google Cloud Platform.",
      discoveryRestUrl = "https://redis.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/memorystore/docs/redis/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "redis:v1",
      kind = "discovery#directoryItem",
      name = "redis",
      preferred = true,
      title = "Google Cloud Memorystore for Redis API",
      version = "v1",
    },
    {
      description = "Perform common functions that are available on the Channel Services console at scale, like placing orders and viewing customer information",
      discoveryRestUrl = "https://reseller.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/google-apps/reseller/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "reseller:v1",
      kind = "discovery#directoryItem",
      name = "reseller",
      preferred = true,
      title = "Google Workspace Reseller API",
      version = "v1",
    },
    {
      description = "The Resource Settings API allows users to control and modify the behavior of their GCP resources (e.g., VM, firewall, Project, etc.) across the Cloud Resource Hierarchy.",
      discoveryRestUrl = "https://resourcesettings.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/resource-manager/docs/resource-settings/overview",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "resourcesettings:v1",
      kind = "discovery#directoryItem",
      name = "resourcesettings",
      preferred = true,
      title = "Resource Settings API",
      version = "v1",
    },
    {
      description = "Cloud Retail service enables customers to build end-to-end personalized recommendation systems without requiring a high level of expertise in machine learning, recommendation system, or Google Cloud.",
      discoveryRestUrl = "https://retail.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/recommendations",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "retail:v2",
      kind = "discovery#directoryItem",
      name = "retail",
      preferred = true,
      title = "Retail API",
      version = "v2",
    },
    {
      description = "Deploy and manage user provided container images that scale automatically based on incoming requests. The Cloud Run Admin API v1 follows the Knative Serving API specification, while v2 is aligned with Google Cloud AIP-based API standards, as described in https://google.aip.dev/.",
      discoveryRestUrl = "https://run.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/run/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "run:v1",
      kind = "discovery#directoryItem",
      name = "run",
      preferred = false,
      title = "Cloud Run Admin API",
      version = "v1",
    },
    {
      description = "Deploy and manage user provided container images that scale automatically based on incoming requests. The Cloud Run Admin API v1 follows the Knative Serving API specification, while v2 is aligned with Google Cloud AIP-based API standards, as described in https://google.aip.dev/.",
      discoveryRestUrl = "https://run.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/run/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "run:v2",
      kind = "discovery#directoryItem",
      name = "run",
      preferred = true,
      title = "Cloud Run Admin API",
      version = "v2",
    },
    {
      description = "The Runtime Configurator allows you to dynamically configure and expose variables through Google Cloud Platform. In addition, you can also set Watchers and Waiters that will watch for changes to your data and return based on certain conditions.",
      discoveryRestUrl = "https://runtimeconfig.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/deployment-manager/runtime-configurator/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "runtimeconfig:v1",
      kind = "discovery#directoryItem",
      name = "runtimeconfig",
      preferred = true,
      title = "Cloud Runtime Configuration API",
      version = "v1",
    },
    {
      description = "Enables client applications to check web resources (most commonly URLs) against Google-generated lists of unsafe web resources. The Safe Browsing APIs are for non-commercial use only. If you need to use APIs to detect malicious URLs for commercial purposes – meaning “for sale or revenue-generating purposes” – please refer to the Web Risk API.",
      discoveryRestUrl = "https://safebrowsing.googleapis.com/$discovery/rest?version=v4",
      documentationLink = "https://developers.google.com/safe-browsing/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "safebrowsing:v4",
      kind = "discovery#directoryItem",
      name = "safebrowsing",
      preferred = true,
      title = "Safe Browsing API",
      version = "v4",
    },
    {
      description = "Manages and executes Google Apps Script projects.",
      discoveryRestUrl = "https://script.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/apps-script/api/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "script:v1",
      kind = "discovery#directoryItem",
      name = "script",
      preferred = true,
      title = "Apps Script API",
      version = "v1",
    },
    {
      description = "The Search Console API provides access to both Search Console data (verified users only) and to public information on an URL basis (anyone)",
      discoveryRestUrl = "https://searchconsole.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/webmaster-tools/search-console-api/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "searchconsole:v1",
      kind = "discovery#directoryItem",
      name = "searchconsole",
      preferred = true,
      title = "Google Search Console API",
      version = "v1",
    },
    {
      description = "Stores sensitive data such as API keys, passwords, and certificates. Provides convenience while improving security.",
      discoveryRestUrl = "https://secretmanager.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/secret-manager/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "secretmanager:v1",
      kind = "discovery#directoryItem",
      name = "secretmanager",
      preferred = true,
      title = "Secret Manager API",
      version = "v1",
    },
    {
      description = "Security Command Center API provides access to temporal views of assets and findings within an organization.",
      discoveryRestUrl = "https://securitycenter.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/security-command-center",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "securitycenter:v1",
      kind = "discovery#directoryItem",
      name = "securitycenter",
      preferred = true,
      title = "Security Command Center API",
      version = "v1",
    },
    {
      description = "Manages the service consumers of a Service Infrastructure service.",
      discoveryRestUrl = "https://serviceconsumermanagement.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/service-consumer-management/docs/overview",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "serviceconsumermanagement:v1",
      kind = "discovery#directoryItem",
      name = "serviceconsumermanagement",
      preferred = true,
      title = "Service Consumer Management API",
      version = "v1",
    },
    {
      description = "Provides admission control and telemetry reporting for services integrated with Service Infrastructure.",
      discoveryRestUrl = "https://servicecontrol.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/service-control/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "servicecontrol:v1",
      kind = "discovery#directoryItem",
      name = "servicecontrol",
      preferred = false,
      title = "Service Control API",
      version = "v1",
    },
    {
      description = "Provides admission control and telemetry reporting for services integrated with Service Infrastructure.",
      discoveryRestUrl = "https://servicecontrol.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/service-control/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "servicecontrol:v2",
      kind = "discovery#directoryItem",
      name = "servicecontrol",
      preferred = true,
      title = "Service Control API",
      version = "v2",
    },
    {
      description = "Service Directory is a platform for discovering, publishing, and connecting services.",
      discoveryRestUrl = "https://servicedirectory.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/service-directory",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "servicedirectory:v1",
      kind = "discovery#directoryItem",
      name = "servicedirectory",
      preferred = true,
      title = "Service Directory API",
      version = "v1",
    },
    {
      description = "Google Service Management allows service producers to publish their services on Google Cloud Platform so that they can be discovered and used by service consumers.",
      discoveryRestUrl = "https://servicemanagement.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/service-management/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "servicemanagement:v1",
      kind = "discovery#directoryItem",
      name = "servicemanagement",
      preferred = true,
      title = "Service Management API",
      version = "v1",
    },
    {
      description = "Provides automatic management of network configurations necessary for certain services.",
      discoveryRestUrl = "https://servicenetworking.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/service-infrastructure/docs/service-networking/getting-started",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "servicenetworking:v1",
      kind = "discovery#directoryItem",
      name = "servicenetworking",
      preferred = true,
      title = "Service Networking API",
      version = "v1",
    },
    {
      description = "Enables services that service consumers want to use on Google Cloud Platform, lists the available or enabled services, or disables services that service consumers no longer use.",
      discoveryRestUrl = "https://serviceusage.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/service-usage/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "serviceusage:v1",
      kind = "discovery#directoryItem",
      name = "serviceusage",
      preferred = true,
      title = "Service Usage API",
      version = "v1",
    },
    {
      description = "Reads and writes Google Sheets.",
      discoveryRestUrl = "https://sheets.googleapis.com/$discovery/rest?version=v4",
      documentationLink = "https://developers.google.com/sheets/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "sheets:v4",
      kind = "discovery#directoryItem",
      name = "sheets",
      preferred = true,
      title = "Google Sheets API",
      version = "v4",
    },
    {
      description = "The Google Site Verification API lets applications automate the process of managing ownership records for websites and domains.",
      discoveryRestUrl = "https://siteverification.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://code.google.com/apis/siteverification/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "siteVerification:v1",
      kind = "discovery#directoryItem",
      name = "siteVerification",
      preferred = true,
      title = "Site Verification API",
      version = "v1",
    },
    {
      description = "Reads and writes Google Slides presentations.",
      discoveryRestUrl = "https://slides.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/slides/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "slides:v1",
      kind = "discovery#directoryItem",
      name = "slides",
      preferred = true,
      title = "Google Slides API",
      version = "v1",
    },
    {
      description = "Allow select enterprise partners to access, control, and manage Google and Nest devices programmatically.",
      discoveryRestUrl = "https://smartdevicemanagement.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/nest/device-access",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "smartdevicemanagement:v1",
      kind = "discovery#directoryItem",
      name = "smartdevicemanagement",
      preferred = true,
      title = "Smart Device Management API",
      version = "v1",
    },
    {
      description = "Accesses source code repositories hosted by Google.",
      discoveryRestUrl = "https://sourcerepo.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/source-repositories/docs/apis",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "sourcerepo:v1",
      kind = "discovery#directoryItem",
      name = "sourcerepo",
      preferred = true,
      title = "Cloud Source Repositories API",
      version = "v1",
    },
    {
      description = "Cloud Spanner is a managed, mission-critical, globally consistent and scalable relational database service.",
      discoveryRestUrl = "https://spanner.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/spanner/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "spanner:v1",
      kind = "discovery#directoryItem",
      name = "spanner",
      preferred = true,
      title = "Cloud Spanner API",
      version = "v1",
    },
    {
      description = "Converts audio to text by applying powerful neural network models.",
      discoveryRestUrl = "https://speech.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/speech-to-text/docs/quickstart-protocol",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "speech:v1",
      kind = "discovery#directoryItem",
      name = "speech",
      preferred = true,
      title = "Cloud Speech-to-Text API",
      version = "v1",
    },
    {
      description = "API for Cloud SQL database instance management",
      discoveryRestUrl = "https://sqladmin.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/cloud-sql/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "sqladmin:v1",
      kind = "discovery#directoryItem",
      name = "sqladmin",
      preferred = true,
      title = "Cloud SQL Admin API",
      version = "v1",
    },
    {
      description = "Lets you store and retrieve potentially-large, immutable data objects.",
      discoveryRestUrl = "https://storage.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/storage/docs/json_api/v1/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "storage:v1",
      kind = "discovery#directoryItem",
      name = "storage",
      preferred = true,
      title = "Cloud Storage API",
      version = "v1",
    },
    {
      description = "Transfers data from external data sources to a Google Cloud Storage bucket or between Google Cloud Storage buckets.",
      discoveryRestUrl = "https://storagetransfer.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/storage-transfer/docs",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "storagetransfer:v1",
      kind = "discovery#directoryItem",
      name = "storagetransfer",
      preferred = true,
      title = "Storage Transfer API",
      version = "v1",
    },
    {
      description = "Publishes 360 photos to Google Maps, along with position, orientation, and connectivity metadata. Apps can offer an interface for positioning, connecting, and uploading user-generated Street View images.",
      discoveryRestUrl = "https://streetviewpublish.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/streetview/publish/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "streetviewpublish:v1",
      kind = "discovery#directoryItem",
      name = "streetviewpublish",
      preferred = true,
      title = "Street View Publish API",
      version = "v1",
    },
    {
      description = "The Security Token Service exchanges Google or third-party credentials for a short-lived access token to Google Cloud resources.",
      discoveryRestUrl = "https://sts.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "http://cloud.google.com/iam/docs/workload-identity-federation",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "sts:v1",
      kind = "discovery#directoryItem",
      name = "sts",
      preferred = true,
      title = "Security Token Service API",
      version = "v1",
    },
    {
      description = "This API allows clients to access and modify container and tag configuration.",
      discoveryRestUrl = "https://tagmanager.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/tag-manager",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "tagmanager:v1",
      kind = "discovery#directoryItem",
      name = "tagmanager",
      preferred = false,
      title = "Tag Manager API",
      version = "v1",
    },
    {
      description = "This API allows clients to access and modify container and tag configuration.",
      discoveryRestUrl = "https://tagmanager.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://developers.google.com/tag-manager",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "tagmanager:v2",
      kind = "discovery#directoryItem",
      name = "tagmanager",
      preferred = true,
      title = "Tag Manager API",
      version = "v2",
    },
    {
      description = "The Google Tasks API lets you manage your tasks and task lists.",
      discoveryRestUrl = "https://tasks.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/tasks/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "tasks:v1",
      kind = "discovery#directoryItem",
      name = "tasks",
      preferred = true,
      title = "Tasks API",
      version = "v1",
    },
    {
      description = "Allows developers to run automated tests for their mobile applications on Google infrastructure.",
      discoveryRestUrl = "https://testing.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/cloud-test-lab/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "testing:v1",
      kind = "discovery#directoryItem",
      name = "testing",
      preferred = true,
      title = "Cloud Testing API",
      version = "v1",
    },
    {
      description = "Synthesizes natural-sounding speech by applying powerful neural network models.",
      discoveryRestUrl = "https://texttospeech.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/text-to-speech/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "texttospeech:v1",
      kind = "discovery#directoryItem",
      name = "texttospeech",
      preferred = true,
      title = "Cloud Text-to-Speech API",
      version = "v1",
    },
    {
      description = "TPU API provides customers with access to Google TPU technology.",
      discoveryRestUrl = "https://tpu.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/tpu/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "tpu:v1",
      kind = "discovery#directoryItem",
      name = "tpu",
      preferred = false,
      title = "Cloud TPU API",
      version = "v1",
    },
    {
      description = "TPU API provides customers with access to Google TPU technology.",
      discoveryRestUrl = "https://tpu.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/tpu/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "tpu:v2",
      kind = "discovery#directoryItem",
      name = "tpu",
      preferred = true,
      title = "Cloud TPU API",
      version = "v2",
    },
    {
      description = "",
      discoveryRestUrl = "https://trafficdirector.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/traffic-director",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "trafficdirector:v2",
      kind = "discovery#directoryItem",
      name = "trafficdirector",
      preferred = true,
      title = "Traffic Director API",
      version = "v2",
    },
    {
      description = "This API converts video files into formats suitable for consumer distribution. For more information, see the Transcoder API overview <https://cloud.google.com/transcoder/docs/concepts/overview>.",
      discoveryRestUrl = "https://transcoder.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/transcoder/docs/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "transcoder:v1",
      kind = "discovery#directoryItem",
      name = "transcoder",
      preferred = true,
      title = "Transcoder API",
      version = "v1",
    },
    {
      description = "Integrates text translation into your website or application.",
      discoveryRestUrl = "https://translation.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://cloud.google.com/translate/docs/quickstarts",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "translate:v2",
      kind = "discovery#directoryItem",
      name = "translate",
      preferred = false,
      title = "Cloud Translation API",
      version = "v2",
    },
    {
      description = "Integrates text translation into your website or application.",
      discoveryRestUrl = "https://translation.googleapis.com/$discovery/rest?version=v3",
      documentationLink = "https://cloud.google.com/translate/docs/quickstarts",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "translate:v3",
      kind = "discovery#directoryItem",
      name = "translate",
      preferred = true,
      title = "Cloud Translation API",
      version = "v3",
    },
    {
      description = "Travel Impact Model API lets you query travel carbon emission estimates.",
      discoveryRestUrl = "https://travelimpactmodel.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/travel/impact-model",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "travelimpactmodel:v1",
      kind = "discovery#directoryItem",
      name = "travelimpactmodel",
      preferred = true,
      title = "Travel Impact Model API",
      version = "v1",
    },
    {
      description = "Retention and eDiscovery for Google Workspace. To work with Vault resources, the account must have the [required Vault privileges](https://support.google.com/vault/answer/2799699) and access to the matter. To access a matter, the account must have created the matter, have the matter shared with them, or have the **View All Matters** privilege. For example, to download an export, an account needs the **Manage Exports** privilege and the matter shared with them.",
      discoveryRestUrl = "https://vault.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/vault",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "vault:v1",
      kind = "discovery#directoryItem",
      name = "vault",
      preferred = true,
      title = "Google Vault API",
      version = "v1",
    },
    {
      description = "API for Verified Access chrome extension to provide credential verification for chrome devices connecting to an enterprise network",
      discoveryRestUrl = "https://verifiedaccess.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/chrome/verified-access",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "verifiedaccess:v1",
      kind = "discovery#directoryItem",
      name = "verifiedaccess",
      preferred = false,
      title = "Chrome Verified Access API",
      version = "v1",
    },
    {
      description = "API for Verified Access chrome extension to provide credential verification for chrome devices connecting to an enterprise network",
      discoveryRestUrl = "https://verifiedaccess.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://developers.google.com/chrome/verified-access",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "verifiedaccess:v2",
      kind = "discovery#directoryItem",
      name = "verifiedaccess",
      preferred = true,
      title = "Chrome Verified Access API",
      version = "v2",
    },
    {
      description = "Version History API - Prod",
      discoveryRestUrl = "https://versionhistory.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.chrome.com/versionhistory",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "versionhistory:v1",
      kind = "discovery#directoryItem",
      name = "versionhistory",
      preferred = true,
      title = "versionhistory.googleapis.com API",
      version = "v1",
    },
    {
      description = "Detects objects, explicit content, and scene changes in videos. It also specifies the region for annotation and transcribes speech to text. Supports both asynchronous API and streaming API.",
      discoveryRestUrl = "https://videointelligence.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/video-intelligence/docs/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "videointelligence:v1",
      kind = "discovery#directoryItem",
      name = "videointelligence",
      preferred = true,
      title = "Cloud Video Intelligence API",
      version = "v1",
    },
    {
      description = "Integrates Google Vision features, including image labeling, face, logo, and landmark detection, optical character recognition (OCR), and detection of explicit content, into applications.",
      discoveryRestUrl = "https://vision.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/vision/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "vision:v1",
      kind = "discovery#directoryItem",
      name = "vision",
      preferred = true,
      title = "Cloud Vision API",
      version = "v1",
    },
    {
      description = "Use the Migrate to Virtual Machines API to programmatically migrate workloads.",
      discoveryRestUrl = "https://vmmigration.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/migrate/virtual-machines",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "vmmigration:v1",
      kind = "discovery#directoryItem",
      name = "vmmigration",
      preferred = true,
      title = "VM Migration API",
      version = "v1",
    },
    {
      description = "The Google Web Fonts Developer API lets you retrieve information about web fonts served by Google.",
      discoveryRestUrl = "https://webfonts.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/fonts/docs/developer_api",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "webfonts:v1",
      kind = "discovery#directoryItem",
      name = "webfonts",
      preferred = true,
      title = "Web Fonts Developer API",
      version = "v1",
    },
    {
      description = "",
      discoveryRestUrl = "https://webrisk.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/web-risk/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "webrisk:v1",
      kind = "discovery#directoryItem",
      name = "webrisk",
      preferred = true,
      title = "Web Risk API",
      version = "v1",
    },
    {
      description = "Scans your Compute and App Engine apps for common web vulnerabilities.",
      discoveryRestUrl = "https://websecurityscanner.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/security-command-center/docs/concepts-web-security-scanner-overview/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "websecurityscanner:v1",
      kind = "discovery#directoryItem",
      name = "websecurityscanner",
      preferred = true,
      title = "Web Security Scanner API",
      version = "v1",
    },
    {
      description = "Execute workflows created with Workflows API.",
      discoveryRestUrl = "https://workflowexecutions.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/workflows",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "workflowexecutions:v1",
      kind = "discovery#directoryItem",
      name = "workflowexecutions",
      preferred = true,
      title = "Workflow Executions API",
      version = "v1",
    },
    {
      description = "Manage workflow definitions. To execute workflows and manage executions, see the Workflows Executions API.",
      discoveryRestUrl = "https://workflows.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/workflows",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "workflows:v1",
      kind = "discovery#directoryItem",
      name = "workflows",
      preferred = true,
      title = "Workflows API",
      version = "v1",
    },
    {
      description = "",
      discoveryRestUrl = "https://workloadmanager.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://cloud.google.com/workload-manager/docs",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "workloadmanager:v1",
      kind = "discovery#directoryItem",
      name = "workloadmanager",
      preferred = true,
      title = "Workload Manager API",
      version = "v1",
    },
    {
      description = "The YouTube Data API v3 is an API that provides access to YouTube data, such as videos, playlists, and channels.",
      discoveryRestUrl = "https://youtube.googleapis.com/$discovery/rest?version=v3",
      documentationLink = "https://developers.google.com/youtube/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "youtube:v3",
      kind = "discovery#directoryItem",
      name = "youtube",
      preferred = true,
      title = "YouTube Data API v3",
      version = "v3",
    },
    {
      description = "Retrieves your YouTube Analytics data.",
      discoveryRestUrl = "https://youtubeanalytics.googleapis.com/$discovery/rest?version=v2",
      documentationLink = "https://developers.google.com/youtube/analytics",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "youtubeAnalytics:v2",
      kind = "discovery#directoryItem",
      name = "youtubeAnalytics",
      preferred = true,
      title = "YouTube Analytics API",
      version = "v2",
    },
    {
      description = "Schedules reporting jobs containing your YouTube Analytics data and downloads the resulting bulk data reports in the form of CSV files.",
      discoveryRestUrl = "https://youtubereporting.googleapis.com/$discovery/rest?version=v1",
      documentationLink = "https://developers.google.com/youtube/reporting/v1/reports/",
      icons = {
        x16 = "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png",
        x32 = "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png",
      },
      id = "youtubereporting:v1",
      kind = "discovery#directoryItem",
      name = "youtubereporting",
      preferred = true,
      title = "YouTube Reporting API",
      version = "v1",
    },
  },
  kind = "discovery#directoryList",
}
